POST Shared Join Link
https://{cluster}.pp.sgp.pvp.net/activities/v1/{activity id}/join-codes/shared Create a shared join link for an activity. The request has an empty body.
The returned join code can be shared with other players, either directly or through the smartUrl, to let them join the party. The link can be revoked with the Disable Join Link endpoint.
Headers
-
Authorization: Bearer {auth token}
URL Parameters
-
{cluster}There are 4 SGP clusters:
Cluster ID Region euc1Europe usw2North America / Brazil / LATAM / PBE apse1Asia Pacific / Oceania apne1Japan / Korea -
{activity id}The ID of the activity, obtained from the Activity Lookup endpoint
Other Variables
-
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type SharedJoinLinkResponse = {
/** The join code, e.g. `0000-0000-0000` */
joinCode: string;
/** Link containing the join code, e.g. `https://gg.riotgames.com/VAL?joinCode=0000-0000-0000` */
smartUrl: string;
/** Expiration date of the join code in ISO 8601 format */
expiresAt: string;
/** Whether the join code is currently active */
isActive: boolean;
}; {
"joinCode": "tardus",
"smartUrl": "universe",
"expiresAt": "2026-09-30T09:34:58.136Z",
"isActive": true
}